<?php

namespace App\Timetable;

use \DateTime;

/**
 * Represents a record in timetable
 */
class Time
{
    public int $id;
    public int $team_id;
    public DateTime $date;

    public function setTeamId(int $team_id): Self 
    {
        $this->team_id = $team_id;
        return $this;
    }

    public function setDate(DateTime $date): Self
    {
        $this->date = $date;
        return $this;
    }
}